Smalltalk

From Free Software Directory
Revision as of 10:21, 12 April 2011 by WikiSysop (talk | contribs)

(diff) ← Older revision | Approved revision (diff) | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search


[edit]

GNU Smalltalk

https://www.gnu.org/software/smalltalk/
Implementation of the Smalltalk object oriented language.

GNU Smalltalk is an implementation of the Smalltalk language. It implements the ANSI standard for the language and also includes extra classes such as ones for networking and GUI programming.





Licensing

License

Verified by

Verified on

Notes

Verified by

Bendikker

Verified on

26 June 2018

Notes

system class libraries

Verified by

Kelly Hopkins

Verified on

3 May 2010

Notes

compiler and browser




Leaders and contributors

Contact(s)Role
Thomas Weir Worthington Contributor
Holger Hans Peter Freyther Maintainer
Wilfred Hughes Contributor
Lee Duhem Contributor
Mathias Laurin Contributor


Resources and communication

AudienceResource typeURI
Mailing Listhttps://lists.gnu.org/mailman/listinfo/gnu-system-discuss/
Downloadhttps://ftp.gnu.org/gnu/smalltalk/
Generalhttp://smalltalk.gnu.org/wiki/main-page/
Debian (Ref) (R)https://tracker.debian.org/pkg/gnu-smalltalk
Downloadhttps://alpha.gnu.org/gnu/smalltalk/
Mailing Listhttps://lists.gnu.org/mailman/listinfo/help-smalltalk/
Downloadhttps://ftp.gnu.org/old-gnu/smalltalk/
Savannah (Ref)https://savannah.gnu.org/projects/smalltalk/
Generalhttp://smalltalk.gnu.org/project/
Generalhttps://savannah.gnu.org/people/
VCS Repository Webviewhttps://git.savannah.gnu.org/cgit/smalltalk.git/
Mailing Listhttps://lists.gnu.org/mailman/listinfo/bug-gnu-smalltalk/


Software prerequisites

KindDescription
Weak prerequisite libltdl
Required to build GCC >= 4.2
Required to buildpkg-config
Weak prerequisite Readline
Weak prerequisitelibffi
Weak prerequisite GNU awk
Weak prerequisiteCairo
Weak prerequisite GNU libsigsegv
Required to build Bison >= 2.0
Weak prerequisitelibiconv (non- GNU C Library systems only)
Required to build Autoconf >= 2.68
Required to buildZip
Required to build Automake >= 1.11
Weak prerequisite GnuTLS
Weak prerequisite GMP
Required to build GNU Libtool >= 2.4
Required to buildflex = 2.5.x
Weak prerequisite GTK+
Weak prerequisiteSQLite
Weak prerequisiteSDL




Entry















Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.